s9_level_hints.levels["Level 9"] = function()
	return
	{
		miniscenes
		({
			level09_miniscene_box02 = 
			{
				miniscene("box02")
			},
			level09_miniscene_book01 = 
			{
				click("book03")
			},
			level09_miniscene_list01 = 
			{
				on_scene("level09_miniscene_box02", miniscene("list"))
			},
			level09_miniscene_book03 = 
			{
				IF(state("Basin02","basin02_02"), miniscene("book03_1"))
			},
			level09_miniscene_box01 =
			{
				IF(state("Box01", "box01_02"), miniscene("Box01")),
				click("Box01", "Key")
			},
			level09_miniscene_CD01 = 
			{
				on_scene("level09_miniscene_box01", miniscene("CD"))
			}
		}),
		
		-- сушим процессор
		take("Processor"),
		take("Broom"),
		IF(on_level("Drier_off"),
		{
			IF(state("Door_up_right","right01"), click("Door_up_right")),
			click("Drier_off", "Broom")
		}),
		take("Element07"),
		
		--  добываем оперативку из цветка
		take("Line01"),
		click("flower", "Line01"),
		click("Element01", "Line01"),
		
		-- добываем жесткий диск
		on_scene("level09_miniscene_book01", take("Element08")), 
		
		-- добываем деталь из сейфа
		IF(state("Safe","safe01"),
		{
			IF(state("Basin02","basin02_01"), click("Basin02")),
			IF({NOT(scene("level09_miniscene_book03")), state("Basin02","basin02_02")}, miniscene("book03_1")),
			minigame("Safe"),
		}),
		take("Element03"),
		
		take("Element05"),
		
		-- деталь в книгах
		IF(on_level("Element06"),
		{
			IF(state("Journal01","journal01_01"), click("Journal01")),
			take("Element06"),
		}),
		
		-- деталь в коробке
		IF(on_level("Element02"),
		{
			on_scene("level09_miniscene_box02", take("Scrissors")),
			IF(state("Door_dawn_right","right01"), click("Door_dawn_right")),
			click("Box03", "Scrissors"),
			take("Element02")
		}),
		
		-- деталь в колонке
		on_scene("level09_miniscene_box02", take("Screwdriver")),
		click("Speaker02", "Screwdriver"),
		take("Element04"),
		
		-- собираем компьютер 
		IF(state_in_inv("Element_inv", "element_inv08"), click("System_block01", "Element_inv")),
		
		--втыкаем кулер
		take("Cooler01"),
		IF(state("System_block01","system_block01_02"), click("System_block01", "Cooler01")),
		
		-- берем зонтик
		IF(on_level("Umbrella01"),
		{
			IF(state("Curtain_right", "curtain_right01"), click("Curtain_right")),
			take("Umbrella01"),
		}),
		click("table", "Umbrella01"),
		
		IF({state("System_block01","system_block01_03"), state ("Umbrella02","umbrella02_02")}, click("System_block01")),
		
		-- добываем ОС
		take("Key"),
		on_scene("level09_miniscene_CD01", take("Disk")),
		click("System_block02", "Disk")
	}	
end
